--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -20,7 +20,7 @@
     message(FATAL_ERROR "ZeroMQ was not found, neither as a CMake package nor via pkg-config")
 endif()
 
-if (ZeroMQ_FOUND AND (NOT TARGET libzmq OR NOT TARGET libzmq-static))
+if (ZeroMQ_FOUND AND NOT TARGET libzmq)
   message(FATAL_ERROR "ZeroMQ version not supported!")
 endif()
 
@@ -43,19 +43,20 @@
     zmq_addon.hpp
 )
 
-foreach (target cppzmq cppzmq-static)
+set (cppzmq_targets cppzmq cppzmq-static)
+
+foreach (target ${cppzmq_targets})
   add_library(${target} INTERFACE)
   target_include_directories(${target} INTERFACE $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
                                                  $<INSTALL_INTERFACE:include>)
 endforeach()
 
 target_link_libraries(cppzmq INTERFACE libzmq)
-target_link_libraries(cppzmq-static INTERFACE libzmq-static)
 
 include(GNUInstallDirs)
 include(CMakePackageConfigHelpers)
 
-install(TARGETS cppzmq cppzmq-static
+install(TARGETS ${cppzmq_targets}
         EXPORT ${PROJECT_NAME}-targets)
 
 install(FILES ${CPPZMQ_HEADERS}
